/**
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 LLC. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content.
 */

/**
 * Policies enum.
 */
export enum Policy {
    /**
     * User based policy.
     */
    USER = "USER",
    /**
     * Role based policy.
     */
    ROLE = "ROLE",
    /**
     * Consent based policy.
     */
    CONSENT = "CONSENT",
    /**
     * M2M policy.
     */
    M2M = "M2M"
}

/*
 * API Authorization constants.
 */
export class APIAuthorizationConstants {

    /**
     * Client credentials grant type string.
     */
    public static readonly CLIENT_CREDENTIALS_GRANT_TYPE: string = "client_credentials";
}
